# Copyright (c) ZhangYundi.
# Licensed under the MIT License. 
# Created on 2025/7/20 16:33
# Description:

from ygo.utils import locate

def test_locate():
    fn = locate("functools.partial")
    test_fn = lambda a, b: a+b
    assert fn(test_fn, 1, 2)() == 3